2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Get terminal type details

Prev Next
Get
/terminal-types/{id}

Operation is used to retrieve full details of given terminal type id. Available from product version 3.4.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
id
integerRequired

Id of terminal type

Responses
200

Terminal type

Expand All
object

Terminal type

availabilityEnd
string (date-time)

Availability end date and time

availabilityStart
string (date-time)

Availability start date and time

clazz
object (TerminalTypeClass)

Terminal type class

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "DEVICE, CTV_DEVICE" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

connectors
integer

Connectors

fcode
integer

Feature code

id
integer

Primary key

insertOnlyAsGroup
boolean | null

Type can be inserted only as part of a device group. Null means false. To list types insertable as a single device, filter with not__insertOnlyAsGroup=true (keeps false and null). Available from product version 2026.4.

listUrl
string (url)

Url to fetch all constants from terminal types

technology
object (TerminalTech)

Terminal type technology

availability_end_ts
string (date-time)

Ending date time for availability

availability_start_ts
string (date-time)

Beginning date time for availability

available
boolean

Is object deemed as available. Based on availability_start_ts and availability_end_ts values.

groupname

Group name of constant

Valid values[ "TERMINAL_TECH" ]
id
integer

Unique id of constant

list_url
string (url)

Url to fetch all constants from this group

logical_txt
string

Logical textual value

num_value
number (float)

Numeric value

num_value2
number (float)

Numeric value 2

num_value3
number (float)

Numeric value 3

num_value4
number (float)

Numeric value 4

txt
string

Human readable textual representation

type
string

Type

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error